Skip to content

Create payin

Request

Create a payin for payment instrument

Security
UserToken
Path
profileIdinteger, (int64)required
paymentInstrumentIdstringrequired
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
payinSessionIdstringrequired
referencestring
curl -i -X POST \
  'https://api.wise.com/2026Q3/profiles/{profileId}/payment-instruments/{paymentInstrumentId}/payins' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "payinSessionId": "string",
    "reference": "string"
  }'

Responses

OK

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
amountnumber
currencystring
failureReasonstring
idstring
payinSessionIdstring
paymentInstrumentIdstring
referencestring
statusstring
Response
{ "amount": 0, "currency": "string", "failureReason": "string", "id": "string", "payinSessionId": "string", "paymentInstrumentId": "string", "reference": "string", "status": "string" }